function createSlot(nameParam, x, y) 
	return 	TeLayout {
		name = nameParam, 
		position = {x, y},
		anchor = {0.0, 0.0},
		sizeType = Percent, size = {99/1365, 99/768}
	}
end

TeButtonLayout {
	name = "inventory",
	sizeType = Percent, size = {1.0, 1.0},
	upLayout = 	TeSpriteLayout {
		image = "2D/BlackScreen.png",
		sizeType = Percent, size = {1.0, 1.0},	
	},
	
	TeLayout {
		sizeType = Percent, size = {1.0, 1.0}, 
		ratio = 16/9,
		ratioMode = PanScan,
	
		TeButtonLayout {
			name = "backgroundText",
			anchor = {0.0, 0.0},
			position = {783/1365, 598/768},
			sizeType = Percent, size = {370/1365, 131/768},			
			validationSound = "Sounds/SFX/ChoixMenu.wav",
			upLayout = TeSpriteLayout {
				sizeType = Percent, size = {1.0, 1.0},				
				image = "Inventory/BackgroundText.png",
			},
			
			TeTextLayout {
				name = "text",
				sizeType = Percent, size = {0.7, 0.7},
			},
		},	
		TeSpriteLayout {
			name = "background",
			image = "Inventory/Background.png",
			sizeType = Percent, size = {1.0, 1.0},
			
			TeButtonLayout {
				name = "diode0",
				anchor = {0.0, 0.0},
				position = {627/1365, 302/768},
				sizeType = Percent, size = {44/1365, 80/768}, 		
				validationSound = "Sounds/SFX/ChoixMenu.wav",			
				upLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},	
					image = "Inventory/bt1_selected.png",
				},
				disabledLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/bt1_unselected.png",
				},
			},	
			TeButtonLayout {
				name = "diode1",
				anchor = {0.0, 0.0},			
				position = {627/1365, 380/768},
				sizeType = Percent, size = {44/1365, 80/768}, 	
				validationSound = "Sounds/SFX/ChoixMenu.wav",			
				upLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/bt2_selected.png",
				},
				disabledLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},				
					image = "Inventory/bt2_unselected.png",
				},
			},	
			TeButtonLayout {
				name = "diode2",
				anchor = {0.0, 0.0},			
				position = {627/1365, 457/768},
				sizeType = Percent, size = {44/1365, 80/768}, 	
				validationSound = "Sounds/SFX/ChoixMenu.wav",			
				upLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/bt3_selected.png",
				},
				disabledLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/bt3_unselected.png",
				},
			},	
			
			TeCheckboxLayout {
				name = "loupe",
				position = {693/1365, 650/768},
				sizeType = Percent, size = {108/1365, 216/768}, 		
				activationSound = "Sounds/SFX/Clic_Deb-fin.wav",
				unactivationSound = "Sounds/SFX/Clic_Deb-fin.wav",		
				activeLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/LoupeOver.png",
				},
				unactiveLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/Loupe.png",
				},
				hitZone = TeLayout {
					sizeType = Percent, size = {1.3, 1.3},
				},			
			},		
			
			TeCheckboxLayout {
				name = "madeleine",
				anchor = {0.0, 0.0},
				position = {266/1365, 153/768},
				sizeType = Percent, size = {88/1365, 113/768}, 		
				activationSound = "Sounds/SFX/Clic_Deb-fin.wav",
				unactivationSound = "Sounds/SFX/Clic_Deb-fin.wav",	
				activeLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/MadeleineOn.png",
				},				
				unactiveLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/MadeleineOff.png",
				},
				activeDisabledLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/MadeleineOn.png",
				},
				hitZone = TeLayout {
					sizeType = Percent, size = {1.3, 1.3},
				},			
			},			
			TeSpriteLayout {
				anchor = {0.0, 0.0},			
				position = {361/1365, 153/768},
				sizeType = Percent, size = {88/1365, 113/768}, 			
				image = "Inventory/CesarLocked.png",
			},
			TeCheckboxLayout {
				name = "cesar",
				anchor = {0.0, 0.0},			
				position = {361/1365, 153/768},
				sizeType = Percent, size = {88/1365, 113/768}, 			
				activationSound = "Sounds/SFX/Clic_Deb-fin.wav",
				unactivationSound = "Sounds/SFX/Clic_Deb-fin.wav",		
				activeLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/CesarOn.png",
				},			
				unactiveLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/CesarOff.png",
				},
				activeDisabledLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/CesarOn.png",
				},
				hitZone = TeLayout {
					sizeType = Percent, size = {1.3, 1.3},
				},			
			},
			TeSpriteLayout {
				anchor = {0.0, 0.0},			
				position = {457/1365, 153/768},
				sizeType = Percent, size = {88/1365, 113/768}, 			
				image = "Inventory/MonkLocked.png",
			},		
			TeCheckboxLayout {
				name = "monk",
				anchor = {0.0, 0.0},			
				position = {457/1365, 153/768},
				sizeType = Percent, size = {88/1365, 113/768}, 				
				activationSound = "Sounds/SFX/Clic_Deb-fin.wav",
				unactivationSound = "Sounds/SFX/Clic_Deb-fin.wav",		
				activeLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/MonkOn.png",
				},			
				unactiveLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/MonkOff.png",
				},
				activeDisabledLayout = TeSpriteLayout {
					sizeType = Percent, size = {1.0, 1.0},			
					image = "Inventory/MonkOn.png",
				},
				hitZone = TeLayout {
					sizeType = Percent, size = {1.3, 1.3},
				},			
			},
			TeLayout {
				name = "objects",
				sizeType = Percent, size = {1.0, 1.0},			
				
				TeLayout {
					name = "selectionSprite",	
					anchor = {0.0, 0.0},
					sizeType = Percent, size = {99/1365, 99/768},			
					
					TeSpriteLayout {			
						sizeType = Percent, size = {1.2, 1.2},	
						image = "Inventory/ContourObjets.png",
					},		
				},

				TeLayout {
					sizeType = Percent, size = {1.0, 1.0},	
					name = "page0",
					
					createSlot("page0Slot0", 193/1365, 301/768),
					createSlot("page0Slot1", 301/1365, 301/768),
					createSlot("page0Slot2", 410/1365, 301/768),
					createSlot("page0Slot3", 518/1365, 301/768),
					
					createSlot("page0Slot4", 193/1365, 410/768),
					createSlot("page0Slot5", 301/1365, 410/768),
					createSlot("page0Slot6", 410/1365, 410/768),
					createSlot("page0Slot7", 518/1365, 410/768),				
					
					createSlot("page0Slot8", 193/1365, 520/768),
					createSlot("page0Slot9", 301/1365, 520/768),
					createSlot("page0Slot10", 410/1365, 520/768),
					createSlot("page0Slot11", 518/1365, 520/768),

					createSlot("page0Slot12", 193/1365, 629/768),
					createSlot("page0Slot13", 301/1365, 629/768),
					createSlot("page0Slot14", 410/1365, 629/768),
					createSlot("page0Slot15", 518/1365, 629/768),		
				},
				TeLayout {
					sizeType = Percent, size = {1.0, 1.0},	
					name = "page1",
					
					createSlot("page1Slot0", 193/1365, 301/768),
					createSlot("page1Slot1", 301/1365, 301/768),
					createSlot("page1Slot2", 410/1365, 301/768),
					createSlot("page1Slot3", 518/1365, 301/768),
					
					createSlot("page1Slot4", 193/1365, 410/768),
					createSlot("page1Slot5", 301/1365, 410/768),
					createSlot("page1Slot6", 410/1365, 410/768),
					createSlot("page1Slot7", 518/1365, 410/768),				
					
					createSlot("page1Slot8", 193/1365, 520/768),
					createSlot("page1Slot9", 301/1365, 520/768),
					createSlot("page1Slot10", 410/1365, 520/768),
					createSlot("page1Slot11", 518/1365, 520/768),

					createSlot("page1Slot12", 193/1365, 629/768),
					createSlot("page1Slot13", 301/1365, 629/768),
					createSlot("page1Slot14", 410/1365, 629/768),
					createSlot("page1Slot15", 518/1365, 629/768),			
				},
				TeLayout {
					sizeType = Percent, size = {1.0, 1.0},	
					name = "page2",
					
					createSlot("page2Slot0", 193/1365, 301/768),
					createSlot("page2Slot1", 301/1365, 301/768),
					createSlot("page2Slot2", 410/1365, 301/768),
					createSlot("page2Slot3", 518/1365, 301/768),
					
					createSlot("page2Slot4", 193/1365, 410/768),
					createSlot("page2Slot5", 301/1365, 410/768),
					createSlot("page2Slot6", 410/1365, 410/768),
					createSlot("page2Slot7", 518/1365, 410/768),				
					
					createSlot("page2Slot8", 193/1365, 520/768),
					createSlot("page2Slot9", 301/1365, 520/768),
					createSlot("page2Slot10", 410/1365, 520/768),
					createSlot("page2Slot11", 518/1365, 520/768),

					createSlot("page2Slot12", 193/1365, 629/768),
					createSlot("page2Slot13", 301/1365, 629/768),
					createSlot("page2Slot14", 410/1365, 629/768),
					createSlot("page2Slot15", 518/1365, 629/768),			
				},			
			},		
		},
	},
}
